DeleteBotAnalyzerRecommendation
Permanently deletes the recommendations and analysis results for a specific bot analysis request. This operation is provided for GDPR compliance and cannot be undone.
After deletion, the analysis results cannot be retrieved. The analysis request ID will still appear in the history list, but attempting to describe the recommendations will return a ResourceNotFoundException.
Request Syntax
DELETE /bots/botId/botanalyzer/botAnalyzerRequestId/ HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- botAnalyzerRequestId
-
The unique identifier of the analysis request whose recommendations should be deleted.
Length Constraints: Fixed length of 36.
Pattern:
[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}Required: Yes
- botId
-
The unique identifier of the bot.
Length Constraints: Fixed length of 10.
Pattern:
^[0-9a-zA-Z]+$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 204
Response Elements
If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Errors.
- InternalServerException
-
The service encountered an unexpected condition. Try your request again.
HTTP Status Code: 500
- ResourceNotFoundException
-
You asked to describe a resource that doesn't exist. Check the resource that you are requesting and try again.
HTTP Status Code: 404
- ThrottlingException
-
Your request rate is too high. Reduce the frequency of requests.
- retryAfterSeconds
-
The number of seconds after which the user can invoke the API again.
HTTP Status Code: 429
- ValidationException
-
One of the input parameters in your request isn't valid. Check the parameters and try your request again.
HTTP Status Code: 400
Examples
Example request
This example illustrates one usage of DeleteBotAnalyzerRecommendation.
DELETE https://models-v2-lex.us-east-1.amazonaws.com/bots/<BotId>/botanalyzer/<RequestId>/
Example response
This example illustrates one usage of DeleteBotAnalyzerRecommendation.
HTTP/1.1 204 No Content
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: